**`Shubham Gupta `[NAME]**-NL- Hybris Professional | Front End Expert -NL- **`B.Tech`[EDUCATION_DEGREE]** (**`Information Technology`[EDUCATION_COURSE]**) |**`MNIT (NIT) Jaipur`[EDUCATION_INSTITUTE]** -NL- Email: **`shubham02712@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`+91 773-388-6781`[PHONES_PHONE]** -NL- **`EXPERIENCE SUMMARY`[SUMMARY_HEADING]** -NL- • Around 4.5 years of experience in the software industry having developed web based, hybrid and -NL- single-page applications using Hybris Commerce Suite, Java, Spring MVC, HTML5, CSS3, JavaScript, -NL- jQuery, jQuery Mobile, AngularJS, ReactJS, IBM MobileFirst, JSF & PrimeFaces. -NL- • Experience in SAP Hybris Ecommerce Suite 6.3 having developed Hybris Ecommerce application -NL- using Hybris Platform and Java Spring MVC. -NL- • Experience in front end and middleware technologies coupled with experience in developing -NL- Java/J2EE web applications using Java 1.7, PrimeFaces 5.1. -NL- • Experience in working with geographically distributed development teams using agile methodologies -NL- **`WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- • Presently working as **`Associate Lead, Technology`[EMPLOYER_ROLE]** at -NL- (Oct 2019 – Present) -NL- **`Nagarro Software Pvt. Ltd,`[EMPLOYER_COMPANY_NAME]** SEZ Mahindra World City, Jaipur -NL- ➢ Currently working in an Ecommerce Application Development team for a US based Client -NL- ❖ Experience in SAP Hybris Ecommerce Suite 6.3 having developed Hybris Ecommerce -NL- application using Hybris Platform and Java Spring MVC. -NL- ➢ Worked in a Railroad Mobile/Web App Development team for a US based Client -NL- ❖ Experience in Web and Mobile application development using front-end and middleware -NL- technologies namely HTML5, JavaScript, jQuery, jQuery Mobile and JSON. -NL- ❖ Experience in Web application development using Angular2 and TypeScript. -NL- ❖ Experience in Hybrid Mobile application development and Middleware technologies -NL- such as IBM Mobile First. -NL- • **`Senior Associate, Technology`[EMPLOYER_ROLE]** at **`Nagarro Software Pvt. Ltd`[EMPLOYER_COMPANY_NAME]**, -NL- (Mar 2018 – Sept 2019) -NL- SEZ Mahindra World City, Jaipur -NL- • **`Associate, Technology`[EMPLOYER_ROLE]** at **`Nagarro Software Pvt. Ltd,`[EMPLOYER_COMPANY_NAME]** -NL- (Sept 2016 – Mar 2018) -NL- SEZ Mahindra World City, Jaipur -NL- • **`Junior Associate, Technology`[EMPLOYER_ROLE]** at **`Nagarro Software Pvt. Ltd,`[EMPLOYER_COMPANY_NAME]** -NL- (Aug 2015 – Sept 2016) -NL- SEZ Mahindra World City, Jaipur -NL- **`SOFTWARE SKILLSET`[SKILLS_HEADING]** -NL- Languages -NL- Java, HTML5, CSS3, JavaScript, TypeScript, jQuery Mobile, jQuery, -NL- ReactJS -NL- Frameworks, tools, and libraries Hybris Commerce Suite 6.3, Spring MVC, jQuery Mobile, jQuery, -NL- Eclipse, Visual Studio Code, GIT, SVN, IBM ClearCase, Bitbucket, -NL- Source Tree -NL- Web technologies JSP, JSF & PrimeFaces, JSON, Ajax -NL- KEY PROJECTS -NL- **`LC - Enhancements and Support`[PROJECT_TITLE]** -NL- Client is an electronic retailer of fashion jewelry and lifestyle products in the -NL- USA and United Kingdom on its TV Shopping channels and through its e- -NL- commerce websites/mobile apps. -NL- Project -NL- Shoplc.com is an ecommerce web application for shopping beautiful jewelry, -NL- overview -NL- trendy new accessories, skincare products, home décor or more. -NL- The project involved multiple enhancements and end to end development of -NL- the new modules of the application using Hybris Commerce Suite 6.3, Java, -NL- Spring MVC and Front-end technologies – JavaScript & jQuery. -NL- Technologies -NL- Hybris Commerce Suite 6.3, Java, Spring MVC, JavaScript, jQuery & CSS. -NL- Responsibilities • Involved in analysis of required functionality, task estimation. -NL- • Responsible for end to end development of the of the new modules of -NL- the application using Hybris Commerce Suite, Java, Spring MVC and -NL- Front-end technologies – JavaScript and jQuery. -NL- • Worked on Impex, Flexible Search, Data Modelling, CronJobs, Model -NL- Lifecycle, Web Services. -NL- • Worked on B2C storefront, OCC Modules, Hybris back-office, WCMS -NL- cockpit, Product cockpit enhancements. -NL- **`Enterprise Reference Data Management System (ERDMS)`[PROJECT_TITLE]** -NL- Client is an international transportation company offering a variety of rail, -NL- container-shipping, intermodal, trucking, and contract logistics services. -NL- Project -NL- ERDMS is a CSX enterprise source of record for industry and corporate -NL- overview -NL- Reference Data used by CSX. It is part of an Information Mastery effort to -NL- bring trusted, high data quality content, modern data access paths and a -NL- modernized user interface for all business departments that rely on -NL- reference data. -NL- The project involved multiple enhancements and end to end development of -NL- the UI of new modules of the web-based application using Java and Front- -NL- End technologies – Java, JSF, PrimeFaces, JavaScript, jQuery, CSS3. -NL- Technologies -NL- Java, JSF, PrimeFaces, JavaScript, jQuery, CSS3. -NL- Responsibilities • Involved in analysis of required functionality, task estimation. -NL- • Responsible for setup of the entire project during migration from IBM -NL- ClearCase to GIT. -NL- • Responsible for end to end development of the UI of the new modules of -NL- the application using Java, JSF, PrimeFaces, JavaScript and jQuery. -NL- • Involved in development of beans using Java. -NL- • Involved in Bug Fixes. -NL-**` SEAL Exception`[PROJECT_TITLE]** -NL- Client is an international transportation company offering a variety of rail, -NL- container-shipping, intermodal, trucking, and contract logistics services. -NL- Project -NL- Seal Exception is a web-based application that is used within CSX network. -NL- overview -NL- The application helps users to search, view, add, update, delete seal -NL- exceptions and mark them as void. Email notification to customers are -NL- triggered when a seal exception is successfully added or updated. -NL- The project involved enhancement of the existing application using Java and -NL- web technologies – TypeScript and Angular2. -NL- Technologies -NL- Angular2, TypeScript, JavaScript & jQuery. -NL- Responsibilities • Involved in requirement analysis. -NL- • Involved in enhancement of the UI of Application using Angular2 & -NL- TypeScript. -NL- • Involved in backend integration using Java. -NL- • Involved in Bug Fixes. -NL- **`EDUCATIONAL PROFILE`[EDUCATION_HEADING]** -NL- Examination - University/Board - Institute - Year - %/CGPA -NL- Graduation (**`B.Tech`[EDUCATION_DEGREE]**) - M.N.I.T (NIT Jaipur) - M.N.I.T (NIT Jaipur) - 2015 - 7.90 (on a scale of 10) -NL- **`Intermediate`[EDUCATION_DEGREE]**/+2 - C.B.S.E. - **`Maharaja Sawai Man Singh Vidyalaya, Jaipur`[EDUCATION_INSTITUTE]** - 2011 - 90.0% (aggregate) -NL- **`Matriculation`[EDUCATION_DEGREE]** - C.B.S.E. - **`Maharaja Sawai Man Singh Vidyalaya, Jaipur`[EDUCATION_INSTITUTE]** - 2009 - 94.4% (aggregate) -NL- SHUBHAM GUPTA -NL- 